# NWChem NO2+ DFT (BLYP) optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
nwchem = NWChem(frag=no2, method="dft", basis="3-21g", charge=1)

opt = Opt(theory=nwchem,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result from Tcl-ChemShell
eref = -203.552971796015

testutils.validate(ecalc, eref)
